#!/bin/sh
# /usr/local/bin/Get-Gtk-Theme.sh
# Goal: To use the background and foreground colors of
# ----- the currrent GTK theme in the MRUF-lst script.
# Note: The expression "gtk_color_scheme" exists in 67 % of the gtkrc
# ----- files at /usr/share/themes/*/gtk-2.0/gtkrc on my Puppy.
# (c) Christian L'Écuyer, alias « musher0 » (PuppyLinux forum),
# Gatineau (Qc), Canada, Sept. 18-21 2016. GPL3.
#### set -xe
MRUFrep="/usr/local/share/MRUF";MRUF="MRUF-lst";corps="$MRUFrep/corps"
#
[ -f $MRUFrep/FirstRun ] && rm -f $MRUFrep/FirstRun
# Initialisation avec thème GTK. Pendant de MRUF-lst.
#
awk -F\" '$2 ~ /theme/ { print $2 }' /root/.gtkrc-2.0 > /tmp/GTKTheme
# Ex. : "/usr/share/themes/Rusty_Sand-mod/gtk-2.0/gtkrc"

GTKTheme="`cat /tmp/GTKTheme`";cd $MRUFrep

if [ "`grep -E "gtk_color_scheme|gtk-color-scheme" $GTKTheme`" = "" ];then
# Ex. : /usr/share/themes/Audrey/gtk-2.0/gtkrc
	if [ "`grep "base\[ACTIVE\]" $GTKTheme`" ];then
		awk -F"\"" '$1 ~ /base/ && $1 ~ /SELECTED/ { print $2 }' $GTKTheme > Color
		awk -F"\"" '$1 ~ /base/ && $1 ~ /ACTIVE/ { print $2 }' $GTKTheme >> Color
		rm -f $corps;$MRUF;exit
	else
		urxvt +sb -b 20 -g 46x11-115+150 -fn xft:LiberationMono:pixelsize=15:antialias=true:autohint=true -fg grey15 -bg linen -cr orange -bd orange3 +uc -bc -e /usr/local/bin/Inapplicable.sh;exit
	fi
else
	awk -F"\"" '$1 ~ /scheme/ { print $2}' $GTKTheme | awk -F":" '{ print $(NF-1)"\n"$2 }' | awk NF > ColorCheck
	awk -F"\\" '{ print $1 }' ColorCheck > Color
	if [ "`wc -l < Color`" -gt "2" ];then
		head -n 2 Color > ColorCheck
		cat ColorCheck > Color
	fi
 # traitement intermédiaire
	if [ "`grep -w "#000" Color`" -o "`wc -l < Color`" -lt "2" ];then
		echo -e "black\nwhite" > Color # (Thèmes Crux, Dushiki*)
	elif [ "`grep -i -w "#fff" Color`" ];then
		echo -e "white\nblack" > Color
	elif [ "`grep -w "08c" Color`" ];then # (Thème Bluebird)
		TaiL="`tail -1 Color`"
		echo -e "#0088cc\n$TaiL" > Color
	fi
	rm -f $corps;$MRUF
fi # set +xe
